#include <windows.h>
#include <stdio.h>

BOOL CALLBACK EnumWindowProc(HWND hwnd, LPARAM lp) {
	static bool is_first = true;
	DWORD style = ::GetWindowLong(hwnd, GWL_STYLE);
	if ( ::IsWindow(hwnd) && ::IsWindowVisible(hwnd) && (style&WS_CAPTION) && !(style&WS_POPUP) ) {
		char buf[65536];
		::GetWindowText(hwnd, buf, 65535);
		if ( buf[0] != '\0' ) {
			if ( is_first )
				is_first = false;
			else
				printf("%c", 1);
			printf("%s", buf);
		}
	}
	return TRUE;
}

int main(int argc, char** argv) {
	::EnumWindows(EnumWindowProc, 0);
	return 0;
}
